
µWeb - Bug #903

uweb www domein lijkt niet te bestaan online

2012-07-09 10:08 - Jacko Hoogeveen

Status: Closed Start date: 2012-07-09

Priority: Normal Due date:  

Assignee: Jacko Hoogeveen % Done: 100%

Category: µWeb Website Estimated time: 0.00 hour

Target version:  Spent time: 1.00 hour

Description

Wanneer je navigeert naar www.uweb-framework.com dan krijg je de volgende meldingen

chrome:

Oops! Google Chrome could not find www.uweb-framework.com

Dit is geen lokaal probleem aangezien de zelfde error wordt gegeven op een android phone.

Vermoedelijk is het www domein niet gekoppeld.

Zonder de www toevoeging functioneert de website zoals bedoeld.

Associated revisions

Revision 3687:a6951811c1a3 - 2012-07-16 15:18 - Elmer de Looff

Immediately redirect a client to the non www. domain for uweb-framework.nl and .com. This resolves #903.

History

#1 - 2012-07-09 20:26 - Jan Klopper

- Status changed from New to In Progress

- Assignee set to Elmer de Looff

- % Done changed from 0 to 30

For those who cannot fathom the possibility of an internet without www. in front of every domainname, I have added www. on both the .nl (primary)

and .com (secundary) domainnames.

This makes me think, we should add canonical url tags to the pages, and we should make sure the .com's and www domains redirect to the

uweb-framwork.nl site.

Elmer, could you take a look at that?

(ps, as the uweb tracker is public we should stick to En_GB in here)

#2 - 2012-07-16 15:22 - Elmer de Looff

- Category set to µWeb Website

I've added a routine to the pagemaker that throws 301 redirects for everything to lands on www. to the main domains. However, the nginx

configuration is still set to only forward uweb-framework.(com|nl) to the correct VM.

I've informed the platform folks about the desired change.
#3 - 2012-07-16 19:48 - Elmer de Looff

- Status changed from In Progress to Resolved

- Assignee changed from Elmer de Looff to Jacko Hoogeveen

- % Done changed from 30 to 70

This has been fixed and verified to work. http://www.uweb-framework.nl/ redirects to http://uweb-framework.nl/. The same has been done for 

http://www.uweb-framework.com/

#4 - 2012-07-17 16:08 - Elmer de Looff

Applied in changeset underdark:commit:a6951811c1a3.

#5 - 2012-07-19 16:43 - Elmer de Looff

- Status changed from Resolved to Closed

- % Done changed from 70 to 100
